# Nginx Log Analyzer

A lightweight and easy-to-use Node.js tool for analyzing Nginx log files. It provides insights such as the total number of requests, HTTP status codes distribution, and the most frequently accessed URLs.

## Features

- Analyze Nginx log files in the **Combined Log Format**.
- Count total requests and categorize them by HTTP status codes.
- Identify the most frequently accessed URLs.
- Simple and intuitive CLI interface.

## Installation

Install the package via npm:

```bash
npm install -g nginx-log-analyzer
```

## Usage

Run the tool in your terminal by specifying the path to your Nginx log file:

```bash
nginx-log-analyzer /path/to/access.log
```

Output
```
--- Log Analysis Results ---

Total Requests: 1523

HTTP Status Codes:
  200: 1400
  404: 50
  500: 10

Most Frequently Accessed URLs:
  /home: 350
  /about: 200
  /contact: 150

Top Browsers:
  Chrome: 2 (40.00%)
  Mobile Safari: 1 (20.00%)
  Mobile Chrome: 1 (20.00%)
  Edge: 1 (20.00%)
```

## Requirements
- Node.js v14 or higher
